function generateWalletAddress(passphrase) {
  // Simple hash function for demonstration purposes
  function simpleHash(str) {
    let hash = 0;
    for (let i = 0; i < str.length; i++) {
      const char = str.charCodeAt(i);
      hash = (hash << 5) - hash + char;
      hash |= 0; // Convert to 32bit integer
    }
    return hash.toString(16);
  }

  // Generate a Bitcoin-like address (this is a simplified example)
  const hash = simpleHash(passphrase);
  return `1${hash.slice(0, 33)}`.toUpperCase();
}

document.getElementById('generateBtn').addEventListener('click', () => {
  const passphrase = document.getElementById('passphrase').value.trim();
  if (passphrase.length < 8) {
    alert('Please enter a passphrase with at least 8 characters');
    return;
  }

  const walletAddress = generateWalletAddress(passphrase);
  document.getElementById('walletAddress').value = walletAddress;
});

document.getElementById('copyBtn').addEventListener('click', () => {
  const walletAddress = document.getElementById('walletAddress');
  if (walletAddress.value) {
    walletAddress.select();
    document.execCommand('copy');
    alert('Wallet address copied to clipboard!');
  } else {
    alert('No wallet address to copy');
  }
});